# syntax = edrevo/dockerfile-plus
FROM php:7.4-fpm

INCLUDE+ ./fpm/php.base.Dockerfile

ARG XDEBUG_INI_PATH=/usr/local/etc/php/conf.d/xdebug.ini

COPY ./xdebug2.ini ${XDEBUG_INI_PATH}

###########################################################################
# Remove DST_Root_CA3
###########################################################################

# mozilla\/DST_Root_CA_X3.crt still exists in php-fpm container up to 7.4. On ~8.1 it was removed
RUN sed -i 's/^mozilla\/DST_Root_CA_X3\.crt/!mozilla\/DST_Root_CA_X3.crt/g' /etc/ca-certificates.conf && \
    update-ca-certificates



